crossplatform.ru

Здравствуйте, гость ( Вход | Регистрация )

2 страниц V   1 2 >  
Ответить в данную темуНачать новую тему
> Проблема с установкой Qt 4.6.0
vms
  опции профиля:
сообщение 5.1.2010, 22:48
Сообщение #1


Новичок


Группа: Новичок
Сообщений: 7
Регистрация: 11.12.2009
Пользователь №: 1299

Спасибо сказали: 0 раз(а)




Репутация:   0  


Доброго времени суток.

Столкнулась я с проблемой при попытке установить последние библиотеки qt 4.6.0. Качала с qt.nokia.com (qt-everywhere-opensource-src-4.6.0.tar.gz), далее всё по инструкции:
- скопировала в /tmp
- gunzip qt-everywhere-opensource-src-4.6.0.tar.gz
- tar xvf qt-everywhere-opensource-src-4.6.0.tar
- cd /tmp/qt-everywhere-opensource-src-4.6.0
- ./configure

Последний пункт закончился словами, что всё ок и можно спокойно запускать make, что я и сделала, оставаясь в /tmp/qt-everywhere-opensource-src-4.6.0.

После некоторого времени ожидания:
.... (на всякий случай последние строчки скопировала, вдруг поможет)
.o .obj/release-shared/moc_qhistorystate.o .obj/release-shared/moc_qabstracttransition.o .obj/release-shared/moc_qsignaltransition.o .obj/release-shared/moc_qeventtransition.o -L/tmp/qt-everywhere-opensource-src-4.6.0/lib -lpthread -lz -lm -ldl -pthread -lgthread-2.0 -lrt -lglib-2.0
collect2: ld returned 1 exit status
make[1]: *** [../../lib/libQtCore.so.4.6.0] Error 1
make[1]: Leaving directory `/tmp/qt-everywhere-opensource-src-4.6.0/src/corelib'
make: *** [sub-corelib-make_default-ordered] Error 2

И так уже три раза.
Будьте добры, подскажите, может, я что-то не так делаю? Как решить эту проблему?
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Litkevich Yuriy
  опции профиля:
сообщение 6.1.2010, 0:03
Сообщение #2


разработчик РЭА
*******

Группа: Сомодератор
Сообщений: 9656
Регистрация: 9.1.2008
Из: Тюмень
Пользователь №: 64

Спасибо сказали: 807 раз(а)




Репутация:   94  


Цитата(vms @ 6.1.2010, 1:48) *
(на всякий случай последние строчки скопировала, вдруг поможет)
вот похоже, что строчки с ошибками-то и не скопировала, только резюме, что линкер чего-то не нашёл. А вот чего было видимо сверху.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
vms
  опции профиля:
сообщение 6.1.2010, 2:21
Сообщение #3


Новичок


Группа: Новичок
Сообщений: 7
Регистрация: 11.12.2009
Пользователь №: 1299

Спасибо сказали: 0 раз(а)




Репутация:   0  


Цитата(Litkevich Yuriy @ 6.1.2010, 0:03) *
Цитата(vms @ 6.1.2010, 1:48) *
(на всякий случай последние строчки скопировала, вдруг поможет)
вот похоже, что строчки с ошибками-то и не скопировала, только резюме, что линкер чего-то не нашёл. А вот чего было видимо сверху.



Я просмотрела то, что было до этого момента, но почему-то у меня отображается не самого начала, поэтому не знаю, были ли еще какие-то сообщения об ошибках
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
azure
  опции профиля:
сообщение 6.1.2010, 12:25
Сообщение #4


Студент
*

Группа: Участник
Сообщений: 60
Регистрация: 24.12.2009
Пользователь №: 1332

Спасибо сказали: 5 раз(а)




Репутация:   0  


Цитата(vms @ 5.1.2010, 21:48) *
Будьте добры, подскажите, может, я что-то не так делаю? Как решить эту проблему?


Почему бы не устанавливать библиотеки с помощью пакетного менеджера вашего дистрибутива? Тогда и проблемы бы не возникло.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
vms
  опции профиля:
сообщение 6.1.2010, 12:51
Сообщение #5


Новичок


Группа: Новичок
Сообщений: 7
Регистрация: 11.12.2009
Пользователь №: 1299

Спасибо сказали: 0 раз(а)




Репутация:   0  


Цитата(azure @ 6.1.2010, 12:25) *
Цитата(vms @ 5.1.2010, 21:48) *
Будьте добры, подскажите, может, я что-то не так делаю? Как решить эту проблему?


Почему бы не устанавливать библиотеки с помощью пакетного менеджера вашего дистрибутива? Тогда и проблемы бы не возникло.


Я пробовала - через синаптик, но почему-то ставятся самые последние версии, как я поняла. Вот, например, qt creator - вообще 1.0.0. И qt designer тоже, с qt 4.5 кажется.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
azure
  опции профиля:
сообщение 6.1.2010, 14:57
Сообщение #6


Студент
*

Группа: Участник
Сообщений: 60
Регистрация: 24.12.2009
Пользователь №: 1332

Спасибо сказали: 5 раз(а)




Репутация:   0  


Цитата(vms @ 6.1.2010, 11:51) *
Цитата(azure @ 6.1.2010, 12:25) *
Цитата(vms @ 5.1.2010, 21:48) *
Будьте добры, подскажите, может, я что-то не так делаю? Как решить эту проблему?


Почему бы не устанавливать библиотеки с помощью пакетного менеджера вашего дистрибутива? Тогда и проблемы бы не возникло.


Я пробовала - через синаптик, но почему-то ставятся самые последние версии, как я поняла. Вот, например, qt creator - вообще 1.0.0. И qt designer тоже, с qt 4.5 кажется.


1) попробуйте обновить список пакетов в репозитариях
2) а если не поможет, попробуйте пишите сюда ПОДРОБНЕЙ сообщения об ошибках. коллективным разумом постараемся помочь.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
vms
  опции профиля:
сообщение 6.1.2010, 15:22
Сообщение #7


Новичок


Группа: Новичок
Сообщений: 7
Регистрация: 11.12.2009
Пользователь №: 1299

Спасибо сказали: 0 раз(а)




Репутация:   0  


Цитата(azure @ 6.1.2010, 15:57) *
2) а если не поможет, попробуйте пишите сюда ПОДРОБНЕЙ сообщения об ошибках. коллективным разумом постараемся помочь.


Сейчас буду снова пытаться ставить, на чистую систему, хотелось бы надеяться, что получится.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
SABROG
  опции профиля:
сообщение 6.1.2010, 15:31
Сообщение #8


Профессионал
*****

Группа: Участник
Сообщений: 1207
Регистрация: 8.12.2008
Из: Russia, Moscow
Пользователь №: 446

Спасибо сказали: 229 раз(а)




Репутация:   34  


Чтобы можно было запихать целиком ругательства компилятора в файл можно использовать перенаправление вывода:

make >file.txt 2>&1
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
vms
  опции профиля:
сообщение 6.1.2010, 20:17
Сообщение #9


Новичок


Группа: Новичок
Сообщений: 7
Регистрация: 11.12.2009
Пользователь №: 1299

Спасибо сказали: 0 раз(а)




Репутация:   0  


Итак, я поставила заново систему (kubuntu 9.04) и чтобы уж наверняка - ничего не устанавливала, помимо имеющегося, кроме mc и synaptic.

И теперь у меня есть пара вопросов:
1. не совсем понятно, как именно ставить через синаптик. Я вбила в поиск qt4 - получился внушительный список. Какие именно пакеты надо выбирать? Причем некоторые, вот например libqt4-assistant или libqt4-designer, отмечены вроде как уже установленные, но со звездочкой (доступно для обновления), версия у них - 4.5.0. Как с ними лучше поступить?
2. правда ли, что наличие qt3 нежелательно? Была обнаружена папка /usr/share/qt3. Надо ли её удалять?
3. один человек посоветовал поставить Qt Creator, чтобы тот в свою очередь уже сам потянул за собой нужные зависимости. Стоит ли так делать?

Извините, что задаю, быть может, слишком глупые вопросы, но мне оч хочется нормально разобраться и в конце концов уже поставить всё, что нужно - надо делать лабораторные к экзаменам=(
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
BRE
  опции профиля:
сообщение 6.1.2010, 20:37
Сообщение #10


Профессионал
*****

Группа: Участник
Сообщений: 1112
Регистрация: 6.3.2009
Из: Ростов-на-Дону
Пользователь №: 591

Спасибо сказали: 264 раз(а)




Репутация:   44  


В официальных репозиториях Ubuntu нет готового пакета Qt 4.6 (для Ubuntu 9.10, лежит сборка Qt версии 4.5.2). Поэтому не пытайся там найти готовые пакеты.
Либо пробуй собирать Qt из исходников, которые у тебя есть, либо попробовать поставить готовый SDK (скачав один из файлов qt-sdk-linux-x86-opensource-2009.05.bin / qt-sdk-linux-x86_64-opensource-2009.05.bin).
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение

2 страниц V   1 2 >
Быстрый ответОтветить в данную темуНачать новую тему
Теги
Нет тегов для показа


1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0




RSS Текстовая версия Сейчас: 12.7.2020, 16:16